| Home · All Classes · All Namespaces · Modules · Functions · Files

# Mapping types
[Types and constants]

Collaboration diagram for Mapping types:

## Classes

- struct Tp::AliasMap
- struct Tp::AvatarTokenMap
- struct Tp::ChannelCallStateMap
- struct Tp::ChannelClass
- struct Tp::ContactAttributesMap
- struct Tp::ContactLocations
- struct Tp::HandleIdentifierMap
- struct Tp::HandleOwnerMap
- struct Tp::Location
- struct Tp::MessagePart
- struct Tp::MessagePartContentMap
- struct Tp::MultipleStatusMap
- struct Tp::QualifiedPropertyValueMap
- struct Tp::SingleContactAttributesMap
- struct Tp::StringStringMap
- struct Tp::StringVariantMap
- struct Tp::SupportedSocketMap
- struct Tp::ContactCapabilitiesMap
- struct Tp::SimpleContactPresences
- struct Tp::SimpleStatusSpecMap
- struct Tp::ContactPresences
- struct Tp::StatusSpecMap

## Detailed Description

Mapping types generated from the specification.